List transcripts
curl --request GET \
--url https://app.maybloc.com/api/v1/transcripts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.maybloc.com/api/v1/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.maybloc.com/api/v1/transcripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "transcript",
"model": "<string>",
"status": "queued",
"file_name": "<string>",
"speaker_names": {},
"config": {
"model": "calico-1-flash",
"language": "auto",
"addons": [
"redact_pii"
],
"translate_to": [
"en"
],
"custom_fields": [
{
"key": "<string>",
"question": "<string>",
"type": "text",
"options": [
"<string>"
]
}
]
},
"duration_ms": 123,
"error": "<string>",
"cost": {
"currency": "usd",
"estimated_micro_usd": 123,
"charged_micro_usd": 123
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}Transcripts
List transcripts
Transcripts newest first, up to limit per page. To read the next page, pass the last id as starting_after while has_more is true.
GET
/
transcripts
List transcripts
curl --request GET \
--url https://app.maybloc.com/api/v1/transcripts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.maybloc.com/api/v1/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.maybloc.com/api/v1/transcripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "transcript",
"model": "<string>",
"status": "queued",
"file_name": "<string>",
"speaker_names": {},
"config": {
"model": "calico-1-flash",
"language": "auto",
"addons": [
"redact_pii"
],
"translate_to": [
"en"
],
"custom_fields": [
{
"key": "<string>",
"question": "<string>",
"type": "text",
"options": [
"<string>"
]
}
]
},
"duration_ms": 123,
"error": "<string>",
"cost": {
"currency": "usd",
"estimated_micro_usd": 123,
"charged_micro_usd": 123
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
An API key: Authorization: Bearer mbk_live_...
Query Parameters
Required range:
1 <= x <= 100The id of the last transcript of the previous page.
Last modified on October 26, 2026
Was this page helpful?

